"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.marshalBigUIntPB = exports.unmarshalBigUIntPB = void 0;
const tslib_1 = require("tslib");
const bn_js_1 = tslib_1.__importDefault(require("bn.js"));
const crypto_utils_1 = require("./crypto-utils");
const loom_pb_1 = require("./proto/loom_pb");
function unmarshalBigUIntPB(value) {
    const bytes = value.getValue_asU8();
    const buf = Buffer.from(bytes.buffer, bytes.byteOffset, bytes.byteLength);
    return new bn_js_1.default(buf, 10, 'be');
}
exports.unmarshalBigUIntPB = unmarshalBigUIntPB;
function marshalBigUIntPB(value) {
    const buf = value.toArrayLike(Buffer, 'be');
    const pb = new loom_pb_1.BigUInt();
    pb.setValue((0, crypto_utils_1.bufferToProtobufBytes)(buf));
    return pb;
}
exports.marshalBigUIntPB = marshalBigUIntPB;
//# sourceMappingURL=big-uint.js.map