"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SampleGoContract = void 0;
const tslib_1 = require("tslib");
const contract_1 = require("../contract");
const sample_go_contract_pb_1 = require("../proto/sample_go_contract_pb");
class SampleGoContract extends contract_1.Contract {
    static createAsync(client, callerAddr) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const contractAddr = yield client.getContractAddressAsync('sample-go-contract');
            if (!contractAddr) {
                throw Error('Failed to resolve contract address');
            }
            return new SampleGoContract({ contractAddr, callerAddr, client });
        });
    }
    constructor(params) {
        super(params);
    }
    testNestedEvmCallsAsync(innerEmitter, outerEmitter, innerEmitterValue, outerEmitterValue) {
        const request = new sample_go_contract_pb_1.SampleGoContractNestedEvmRequest();
        request.setInnerEmitter(innerEmitter.MarshalPB());
        request.setOuterEmitter(outerEmitter.MarshalPB());
        request.setInnerEmitterValue(innerEmitterValue);
        request.setOuterEmitterValue(outerEmitterValue);
        return this.callAsync('TestNestedEvmCalls', request);
    }
}
exports.SampleGoContract = SampleGoContract;
//# sourceMappingURL=sample-go-contract.js.map