"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TronTransferGateway = void 0;
const tslib_1 = require("tslib");
const transfer_gateway_1 = require("./transfer-gateway");
class TronTransferGateway extends transfer_gateway_1.TransferGateway {
    static createAsync(client, callerAddr) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const contractAddr = yield client.getContractAddressAsync('tron-gateway');
            if (!contractAddr) {
                throw Error('Failed to resolve contract address for Tron TransferGateway');
            }
            return new TronTransferGateway({ contractAddr, callerAddr, client });
        });
    }
}
exports.TronTransferGateway = TronTransferGateway;
//# sourceMappingURL=tron-gateway.js.map