import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common";
export interface EthereumGatewayV2Interface extends utils.Interface {
    functions: {
        "vmc()": FunctionFragment;
        "getAllowAnyToken()": FunctionFragment;
        "loomAddress()": FunctionFragment;
        "depositERC20(uint256,address)": FunctionFragment;
        "enableGateway(bool)": FunctionFragment;
        "getERC20(address)": FunctionFragment;
        "nonces(address)": FunctionFragment;
        "getOwner()": FunctionFragment;
        "owner()": FunctionFragment;
        "withdrawERC20(uint256,address,uint256[],uint8[],bytes32[],bytes32[])": FunctionFragment;
        "toggleAllowToken(address,bool)": FunctionFragment;
        "getGatewayEnabled()": FunctionFragment;
        "toggleAllowAnyToken(bool)": FunctionFragment;
        "allowedTokens(address)": FunctionFragment;
        "isTokenAllowed(address)": FunctionFragment;
        "withdrawERC721X(uint256,uint256,address,uint256[],uint8[],bytes32[],bytes32[])": FunctionFragment;
        "withdrawERC721(uint256,address,uint256[],uint8[],bytes32[],bytes32[])": FunctionFragment;
        "withdrawETH(uint256,uint256[],uint8[],bytes32[],bytes32[])": FunctionFragment;
        "onERC721XReceived(address,address,uint256,uint256,bytes)": FunctionFragment;
        "onERC721XBatchReceived(address,address,uint256[],uint256[],bytes)": FunctionFragment;
        "onERC721Received(address,address,uint256,bytes)": FunctionFragment;
        "getETH()": FunctionFragment;
        "getERC721(uint256,address)": FunctionFragment;
        "getERC721X(uint256,address)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "vmc" | "getAllowAnyToken" | "loomAddress" | "depositERC20" | "enableGateway" | "getERC20" | "nonces" | "getOwner" | "owner" | "withdrawERC20" | "toggleAllowToken" | "getGatewayEnabled" | "toggleAllowAnyToken" | "allowedTokens" | "isTokenAllowed" | "withdrawERC721X" | "withdrawERC721" | "withdrawETH" | "onERC721XReceived" | "onERC721XBatchReceived" | "onERC721Received" | "getETH" | "getERC721" | "getERC721X"): FunctionFragment;
    encodeFunctionData(functionFragment: "vmc", values?: undefined): string;
    encodeFunctionData(functionFragment: "getAllowAnyToken", values?: undefined): string;
    encodeFunctionData(functionFragment: "loomAddress", values?: undefined): string;
    encodeFunctionData(functionFragment: "depositERC20", values: [BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "enableGateway", values: [boolean]): string;
    encodeFunctionData(functionFragment: "getERC20", values: [string]): string;
    encodeFunctionData(functionFragment: "nonces", values: [string]): string;
    encodeFunctionData(functionFragment: "getOwner", values?: undefined): string;
    encodeFunctionData(functionFragment: "owner", values?: undefined): string;
    encodeFunctionData(functionFragment: "withdrawERC20", values: [
        BigNumberish,
        string,
        BigNumberish[],
        BigNumberish[],
        BytesLike[],
        BytesLike[]
    ]): string;
    encodeFunctionData(functionFragment: "toggleAllowToken", values: [string, boolean]): string;
    encodeFunctionData(functionFragment: "getGatewayEnabled", values?: undefined): string;
    encodeFunctionData(functionFragment: "toggleAllowAnyToken", values: [boolean]): string;
    encodeFunctionData(functionFragment: "allowedTokens", values: [string]): string;
    encodeFunctionData(functionFragment: "isTokenAllowed", values: [string]): string;
    encodeFunctionData(functionFragment: "withdrawERC721X", values: [
        BigNumberish,
        BigNumberish,
        string,
        BigNumberish[],
        BigNumberish[],
        BytesLike[],
        BytesLike[]
    ]): string;
    encodeFunctionData(functionFragment: "withdrawERC721", values: [
        BigNumberish,
        string,
        BigNumberish[],
        BigNumberish[],
        BytesLike[],
        BytesLike[]
    ]): string;
    encodeFunctionData(functionFragment: "withdrawETH", values: [
        BigNumberish,
        BigNumberish[],
        BigNumberish[],
        BytesLike[],
        BytesLike[]
    ]): string;
    encodeFunctionData(functionFragment: "onERC721XReceived", values: [string, string, BigNumberish, BigNumberish, BytesLike]): string;
    encodeFunctionData(functionFragment: "onERC721XBatchReceived", values: [string, string, BigNumberish[], BigNumberish[], BytesLike]): string;
    encodeFunctionData(functionFragment: "onERC721Received", values: [string, string, BigNumberish, BytesLike]): string;
    encodeFunctionData(functionFragment: "getETH", values?: undefined): string;
    encodeFunctionData(functionFragment: "getERC721", values: [BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "getERC721X", values: [BigNumberish, string]): string;
    decodeFunctionResult(functionFragment: "vmc", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getAllowAnyToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "loomAddress", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "depositERC20", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "enableGateway", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getERC20", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "nonces", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getOwner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "owner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawERC20", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "toggleAllowToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getGatewayEnabled", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "toggleAllowAnyToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "allowedTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isTokenAllowed", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawERC721X", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawERC721", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawETH", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "onERC721XReceived", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "onERC721XBatchReceived", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "onERC721Received", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getETH", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getERC721", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getERC721X", data: BytesLike): Result;
    events: {
        "ETHReceived(address,uint256)": EventFragment;
        "ERC721Received(address,address,uint256,address,bytes)": EventFragment;
        "ERC721XReceived(address,address,uint256,uint256,address,bytes)": EventFragment;
        "ERC721XBatchReceived(address,address,uint256[],uint256[],address,bytes)": EventFragment;
        "TokenWithdrawn(address,uint8,address,uint256)": EventFragment;
        "LoomCoinReceived(address,uint256,address)": EventFragment;
        "ERC20Received(address,uint256,address)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "ETHReceived"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ERC721Received"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ERC721XReceived"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ERC721XBatchReceived"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "TokenWithdrawn"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "LoomCoinReceived"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ERC20Received"): EventFragment;
}
export interface ETHReceivedEventObject {
    from: string;
    amount: BigNumber;
}
export type ETHReceivedEvent = TypedEvent<[
    string,
    BigNumber
], ETHReceivedEventObject>;
export type ETHReceivedEventFilter = TypedEventFilter<ETHReceivedEvent>;
export interface ERC721ReceivedEventObject {
    operator: string;
    from: string;
    tokenId: BigNumber;
    contractAddress: string;
    data: string;
}
export type ERC721ReceivedEvent = TypedEvent<[
    string,
    string,
    BigNumber,
    string,
    string
], ERC721ReceivedEventObject>;
export type ERC721ReceivedEventFilter = TypedEventFilter<ERC721ReceivedEvent>;
export interface ERC721XReceivedEventObject {
    operator: string;
    from: string;
    tokenId: BigNumber;
    amount: BigNumber;
    contractAddress: string;
    data: string;
}
export type ERC721XReceivedEvent = TypedEvent<[
    string,
    string,
    BigNumber,
    BigNumber,
    string,
    string
], ERC721XReceivedEventObject>;
export type ERC721XReceivedEventFilter = TypedEventFilter<ERC721XReceivedEvent>;
export interface ERC721XBatchReceivedEventObject {
    operator: string;
    to: string;
    tokenTypes: BigNumber[];
    amounts: BigNumber[];
    contractAddress: string;
    data: string;
}
export type ERC721XBatchReceivedEvent = TypedEvent<[
    string,
    string,
    BigNumber[],
    BigNumber[],
    string,
    string
], ERC721XBatchReceivedEventObject>;
export type ERC721XBatchReceivedEventFilter = TypedEventFilter<ERC721XBatchReceivedEvent>;
export interface TokenWithdrawnEventObject {
    owner: string;
    kind: number;
    contractAddress: string;
    value: BigNumber;
}
export type TokenWithdrawnEvent = TypedEvent<[
    string,
    number,
    string,
    BigNumber
], TokenWithdrawnEventObject>;
export type TokenWithdrawnEventFilter = TypedEventFilter<TokenWithdrawnEvent>;
export interface LoomCoinReceivedEventObject {
    from: string;
    amount: BigNumber;
    loomCoinAddress: string;
}
export type LoomCoinReceivedEvent = TypedEvent<[
    string,
    BigNumber,
    string
], LoomCoinReceivedEventObject>;
export type LoomCoinReceivedEventFilter = TypedEventFilter<LoomCoinReceivedEvent>;
export interface ERC20ReceivedEventObject {
    from: string;
    amount: BigNumber;
    contractAddress: string;
}
export type ERC20ReceivedEvent = TypedEvent<[
    string,
    BigNumber,
    string
], ERC20ReceivedEventObject>;
export type ERC20ReceivedEventFilter = TypedEventFilter<ERC20ReceivedEvent>;
export interface EthereumGatewayV2 extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: EthereumGatewayV2Interface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        vmc(overrides?: CallOverrides): Promise<[string]>;
        getAllowAnyToken(overrides?: CallOverrides): Promise<[boolean]>;
        loomAddress(overrides?: CallOverrides): Promise<[string]>;
        depositERC20(amount: BigNumberish, contractAddress: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        enableGateway(enable: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        getERC20(contractAddress: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        nonces(arg0: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        getOwner(overrides?: CallOverrides): Promise<[string]>;
        owner(overrides?: CallOverrides): Promise<[string]>;
        withdrawERC20(amount: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        toggleAllowToken(tokenAddress: string, allow: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        getGatewayEnabled(overrides?: CallOverrides): Promise<[boolean]>;
        toggleAllowAnyToken(allow: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        allowedTokens(arg0: string, overrides?: CallOverrides): Promise<[boolean]>;
        isTokenAllowed(tokenAddress: string, overrides?: CallOverrides): Promise<[boolean]>;
        withdrawERC721X(tokenId: BigNumberish, amount: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        withdrawERC721(uid: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        withdrawETH(amount: BigNumberish, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        onERC721XReceived(_operator: string, _from: string, _tokenId: BigNumberish, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        onERC721XBatchReceived(_operator: string, _from: string, _types: BigNumberish[], _amounts: BigNumberish[], _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        onERC721Received(_operator: string, _from: string, _uid: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        getETH(overrides?: CallOverrides): Promise<[BigNumber]>;
        getERC721(uid: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<[boolean]>;
        getERC721X(tokenId: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<[BigNumber]>;
    };
    vmc(overrides?: CallOverrides): Promise<string>;
    getAllowAnyToken(overrides?: CallOverrides): Promise<boolean>;
    loomAddress(overrides?: CallOverrides): Promise<string>;
    depositERC20(amount: BigNumberish, contractAddress: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    enableGateway(enable: boolean, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    getERC20(contractAddress: string, overrides?: CallOverrides): Promise<BigNumber>;
    nonces(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
    getOwner(overrides?: CallOverrides): Promise<string>;
    owner(overrides?: CallOverrides): Promise<string>;
    withdrawERC20(amount: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    toggleAllowToken(tokenAddress: string, allow: boolean, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    getGatewayEnabled(overrides?: CallOverrides): Promise<boolean>;
    toggleAllowAnyToken(allow: boolean, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    allowedTokens(arg0: string, overrides?: CallOverrides): Promise<boolean>;
    isTokenAllowed(tokenAddress: string, overrides?: CallOverrides): Promise<boolean>;
    withdrawERC721X(tokenId: BigNumberish, amount: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    withdrawERC721(uid: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    withdrawETH(amount: BigNumberish, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    onERC721XReceived(_operator: string, _from: string, _tokenId: BigNumberish, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    onERC721XBatchReceived(_operator: string, _from: string, _types: BigNumberish[], _amounts: BigNumberish[], _data: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    onERC721Received(_operator: string, _from: string, _uid: BigNumberish, _data: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    getETH(overrides?: CallOverrides): Promise<BigNumber>;
    getERC721(uid: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<boolean>;
    getERC721X(tokenId: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<BigNumber>;
    callStatic: {
        vmc(overrides?: CallOverrides): Promise<string>;
        getAllowAnyToken(overrides?: CallOverrides): Promise<boolean>;
        loomAddress(overrides?: CallOverrides): Promise<string>;
        depositERC20(amount: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<void>;
        enableGateway(enable: boolean, overrides?: CallOverrides): Promise<void>;
        getERC20(contractAddress: string, overrides?: CallOverrides): Promise<BigNumber>;
        nonces(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        getOwner(overrides?: CallOverrides): Promise<string>;
        owner(overrides?: CallOverrides): Promise<string>;
        withdrawERC20(amount: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: CallOverrides): Promise<void>;
        toggleAllowToken(tokenAddress: string, allow: boolean, overrides?: CallOverrides): Promise<void>;
        getGatewayEnabled(overrides?: CallOverrides): Promise<boolean>;
        toggleAllowAnyToken(allow: boolean, overrides?: CallOverrides): Promise<void>;
        allowedTokens(arg0: string, overrides?: CallOverrides): Promise<boolean>;
        isTokenAllowed(tokenAddress: string, overrides?: CallOverrides): Promise<boolean>;
        withdrawERC721X(tokenId: BigNumberish, amount: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: CallOverrides): Promise<void>;
        withdrawERC721(uid: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: CallOverrides): Promise<void>;
        withdrawETH(amount: BigNumberish, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: CallOverrides): Promise<void>;
        onERC721XReceived(_operator: string, _from: string, _tokenId: BigNumberish, _amount: BigNumberish, _data: BytesLike, overrides?: CallOverrides): Promise<string>;
        onERC721XBatchReceived(_operator: string, _from: string, _types: BigNumberish[], _amounts: BigNumberish[], _data: BytesLike, overrides?: CallOverrides): Promise<string>;
        onERC721Received(_operator: string, _from: string, _uid: BigNumberish, _data: BytesLike, overrides?: CallOverrides): Promise<string>;
        getETH(overrides?: CallOverrides): Promise<BigNumber>;
        getERC721(uid: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<boolean>;
        getERC721X(tokenId: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<BigNumber>;
    };
    filters: {
        "ETHReceived(address,uint256)"(from?: null, amount?: null): ETHReceivedEventFilter;
        ETHReceived(from?: null, amount?: null): ETHReceivedEventFilter;
        "ERC721Received(address,address,uint256,address,bytes)"(operator?: null, from?: null, tokenId?: null, contractAddress?: null, data?: null): ERC721ReceivedEventFilter;
        ERC721Received(operator?: null, from?: null, tokenId?: null, contractAddress?: null, data?: null): ERC721ReceivedEventFilter;
        "ERC721XReceived(address,address,uint256,uint256,address,bytes)"(operator?: null, from?: null, tokenId?: null, amount?: null, contractAddress?: null, data?: null): ERC721XReceivedEventFilter;
        ERC721XReceived(operator?: null, from?: null, tokenId?: null, amount?: null, contractAddress?: null, data?: null): ERC721XReceivedEventFilter;
        "ERC721XBatchReceived(address,address,uint256[],uint256[],address,bytes)"(operator?: null, to?: null, tokenTypes?: null, amounts?: null, contractAddress?: null, data?: null): ERC721XBatchReceivedEventFilter;
        ERC721XBatchReceived(operator?: null, to?: null, tokenTypes?: null, amounts?: null, contractAddress?: null, data?: null): ERC721XBatchReceivedEventFilter;
        "TokenWithdrawn(address,uint8,address,uint256)"(owner?: string | null, kind?: null, contractAddress?: null, value?: null): TokenWithdrawnEventFilter;
        TokenWithdrawn(owner?: string | null, kind?: null, contractAddress?: null, value?: null): TokenWithdrawnEventFilter;
        "LoomCoinReceived(address,uint256,address)"(from?: string | null, amount?: null, loomCoinAddress?: null): LoomCoinReceivedEventFilter;
        LoomCoinReceived(from?: string | null, amount?: null, loomCoinAddress?: null): LoomCoinReceivedEventFilter;
        "ERC20Received(address,uint256,address)"(from?: null, amount?: null, contractAddress?: null): ERC20ReceivedEventFilter;
        ERC20Received(from?: null, amount?: null, contractAddress?: null): ERC20ReceivedEventFilter;
    };
    estimateGas: {
        vmc(overrides?: CallOverrides): Promise<BigNumber>;
        getAllowAnyToken(overrides?: CallOverrides): Promise<BigNumber>;
        loomAddress(overrides?: CallOverrides): Promise<BigNumber>;
        depositERC20(amount: BigNumberish, contractAddress: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        enableGateway(enable: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        getERC20(contractAddress: string, overrides?: CallOverrides): Promise<BigNumber>;
        nonces(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        getOwner(overrides?: CallOverrides): Promise<BigNumber>;
        owner(overrides?: CallOverrides): Promise<BigNumber>;
        withdrawERC20(amount: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        toggleAllowToken(tokenAddress: string, allow: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        getGatewayEnabled(overrides?: CallOverrides): Promise<BigNumber>;
        toggleAllowAnyToken(allow: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        allowedTokens(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        isTokenAllowed(tokenAddress: string, overrides?: CallOverrides): Promise<BigNumber>;
        withdrawERC721X(tokenId: BigNumberish, amount: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        withdrawERC721(uid: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        withdrawETH(amount: BigNumberish, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        onERC721XReceived(_operator: string, _from: string, _tokenId: BigNumberish, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        onERC721XBatchReceived(_operator: string, _from: string, _types: BigNumberish[], _amounts: BigNumberish[], _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        onERC721Received(_operator: string, _from: string, _uid: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        getETH(overrides?: CallOverrides): Promise<BigNumber>;
        getERC721(uid: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<BigNumber>;
        getERC721X(tokenId: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        vmc(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getAllowAnyToken(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        loomAddress(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        depositERC20(amount: BigNumberish, contractAddress: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        enableGateway(enable: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        getERC20(contractAddress: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        nonces(arg0: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getOwner(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        owner(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        withdrawERC20(amount: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        toggleAllowToken(tokenAddress: string, allow: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        getGatewayEnabled(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        toggleAllowAnyToken(allow: boolean, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        allowedTokens(arg0: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isTokenAllowed(tokenAddress: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        withdrawERC721X(tokenId: BigNumberish, amount: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        withdrawERC721(uid: BigNumberish, contractAddress: string, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        withdrawETH(amount: BigNumberish, _signersIndexes: BigNumberish[], _v: BigNumberish[], _r: BytesLike[], _s: BytesLike[], overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        onERC721XReceived(_operator: string, _from: string, _tokenId: BigNumberish, _amount: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        onERC721XBatchReceived(_operator: string, _from: string, _types: BigNumberish[], _amounts: BigNumberish[], _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        onERC721Received(_operator: string, _from: string, _uid: BigNumberish, _data: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        getETH(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getERC721(uid: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getERC721X(tokenId: BigNumberish, contractAddress: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
