import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { EthereumGatewayV2, EthereumGatewayV2Interface } from "../EthereumGatewayV2";
export declare class EthereumGatewayV2__factory {
    static readonly abi: readonly [{
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "vmc";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "getAllowAnyToken";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "loomAddress";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "amount";
            readonly type: "uint256";
        }, {
            readonly name: "contractAddress";
            readonly type: "address";
        }];
        readonly name: "depositERC20";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "enable";
            readonly type: "bool";
        }];
        readonly name: "enableGateway";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [{
            readonly name: "contractAddress";
            readonly type: "address";
        }];
        readonly name: "getERC20";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [{
            readonly name: "";
            readonly type: "address";
        }];
        readonly name: "nonces";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "getOwner";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "owner";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "amount";
            readonly type: "uint256";
        }, {
            readonly name: "contractAddress";
            readonly type: "address";
        }, {
            readonly name: "_signersIndexes";
            readonly type: "uint256[]";
        }, {
            readonly name: "_v";
            readonly type: "uint8[]";
        }, {
            readonly name: "_r";
            readonly type: "bytes32[]";
        }, {
            readonly name: "_s";
            readonly type: "bytes32[]";
        }];
        readonly name: "withdrawERC20";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "tokenAddress";
            readonly type: "address";
        }, {
            readonly name: "allow";
            readonly type: "bool";
        }];
        readonly name: "toggleAllowToken";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "getGatewayEnabled";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "allow";
            readonly type: "bool";
        }];
        readonly name: "toggleAllowAnyToken";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [{
            readonly name: "";
            readonly type: "address";
        }];
        readonly name: "allowedTokens";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [{
            readonly name: "tokenAddress";
            readonly type: "address";
        }];
        readonly name: "isTokenAllowed";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly name: "_vmc";
            readonly type: "address";
        }];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "constructor";
    }, {
        readonly payable: true;
        readonly stateMutability: "payable";
        readonly type: "fallback";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly name: "from";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "amount";
            readonly type: "uint256";
        }];
        readonly name: "ETHReceived";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly name: "operator";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "from";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly name: "contractAddress";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "data";
            readonly type: "bytes";
        }];
        readonly name: "ERC721Received";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly name: "operator";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "from";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly name: "amount";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly name: "contractAddress";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "data";
            readonly type: "bytes";
        }];
        readonly name: "ERC721XReceived";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly name: "operator";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "to";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "tokenTypes";
            readonly type: "uint256[]";
        }, {
            readonly indexed: false;
            readonly name: "amounts";
            readonly type: "uint256[]";
        }, {
            readonly indexed: false;
            readonly name: "contractAddress";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "data";
            readonly type: "bytes";
        }];
        readonly name: "ERC721XBatchReceived";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly name: "owner";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "kind";
            readonly type: "uint8";
        }, {
            readonly indexed: false;
            readonly name: "contractAddress";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "value";
            readonly type: "uint256";
        }];
        readonly name: "TokenWithdrawn";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly name: "from";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "amount";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly name: "loomCoinAddress";
            readonly type: "address";
        }];
        readonly name: "LoomCoinReceived";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly name: "from";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly name: "amount";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly name: "contractAddress";
            readonly type: "address";
        }];
        readonly name: "ERC20Received";
        readonly type: "event";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly name: "amount";
            readonly type: "uint256";
        }, {
            readonly name: "contractAddress";
            readonly type: "address";
        }, {
            readonly name: "_signersIndexes";
            readonly type: "uint256[]";
        }, {
            readonly name: "_v";
            readonly type: "uint8[]";
        }, {
            readonly name: "_r";
            readonly type: "bytes32[]";
        }, {
            readonly name: "_s";
            readonly type: "bytes32[]";
        }];
        readonly name: "withdrawERC721X";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "uid";
            readonly type: "uint256";
        }, {
            readonly name: "contractAddress";
            readonly type: "address";
        }, {
            readonly name: "_signersIndexes";
            readonly type: "uint256[]";
        }, {
            readonly name: "_v";
            readonly type: "uint8[]";
        }, {
            readonly name: "_r";
            readonly type: "bytes32[]";
        }, {
            readonly name: "_s";
            readonly type: "bytes32[]";
        }];
        readonly name: "withdrawERC721";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "amount";
            readonly type: "uint256";
        }, {
            readonly name: "_signersIndexes";
            readonly type: "uint256[]";
        }, {
            readonly name: "_v";
            readonly type: "uint8[]";
        }, {
            readonly name: "_r";
            readonly type: "bytes32[]";
        }, {
            readonly name: "_s";
            readonly type: "bytes32[]";
        }];
        readonly name: "withdrawETH";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "_operator";
            readonly type: "address";
        }, {
            readonly name: "_from";
            readonly type: "address";
        }, {
            readonly name: "_tokenId";
            readonly type: "uint256";
        }, {
            readonly name: "_amount";
            readonly type: "uint256";
        }, {
            readonly name: "_data";
            readonly type: "bytes";
        }];
        readonly name: "onERC721XReceived";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes4";
        }];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "_operator";
            readonly type: "address";
        }, {
            readonly name: "_from";
            readonly type: "address";
        }, {
            readonly name: "_types";
            readonly type: "uint256[]";
        }, {
            readonly name: "_amounts";
            readonly type: "uint256[]";
        }, {
            readonly name: "_data";
            readonly type: "bytes";
        }];
        readonly name: "onERC721XBatchReceived";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes4";
        }];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "_operator";
            readonly type: "address";
        }, {
            readonly name: "_from";
            readonly type: "address";
        }, {
            readonly name: "_uid";
            readonly type: "uint256";
        }, {
            readonly name: "_data";
            readonly type: "bytes";
        }];
        readonly name: "onERC721Received";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bytes4";
        }];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "getETH";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [{
            readonly name: "uid";
            readonly type: "uint256";
        }, {
            readonly name: "contractAddress";
            readonly type: "address";
        }];
        readonly name: "getERC721";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "bool";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [{
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly name: "contractAddress";
            readonly type: "address";
        }];
        readonly name: "getERC721X";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): EthereumGatewayV2Interface;
    static connect(address: string, signerOrProvider: Signer | Provider): EthereumGatewayV2;
}
export declare const abi: readonly [{
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "vmc";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "address";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "getAllowAnyToken";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "bool";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "loomAddress";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "address";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "amount";
        readonly type: "uint256";
    }, {
        readonly name: "contractAddress";
        readonly type: "address";
    }];
    readonly name: "depositERC20";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "enable";
        readonly type: "bool";
    }];
    readonly name: "enableGateway";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [{
        readonly name: "contractAddress";
        readonly type: "address";
    }];
    readonly name: "getERC20";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [{
        readonly name: "";
        readonly type: "address";
    }];
    readonly name: "nonces";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "getOwner";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "address";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "owner";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "address";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "amount";
        readonly type: "uint256";
    }, {
        readonly name: "contractAddress";
        readonly type: "address";
    }, {
        readonly name: "_signersIndexes";
        readonly type: "uint256[]";
    }, {
        readonly name: "_v";
        readonly type: "uint8[]";
    }, {
        readonly name: "_r";
        readonly type: "bytes32[]";
    }, {
        readonly name: "_s";
        readonly type: "bytes32[]";
    }];
    readonly name: "withdrawERC20";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "tokenAddress";
        readonly type: "address";
    }, {
        readonly name: "allow";
        readonly type: "bool";
    }];
    readonly name: "toggleAllowToken";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "getGatewayEnabled";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "bool";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "allow";
        readonly type: "bool";
    }];
    readonly name: "toggleAllowAnyToken";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [{
        readonly name: "";
        readonly type: "address";
    }];
    readonly name: "allowedTokens";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "bool";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [{
        readonly name: "tokenAddress";
        readonly type: "address";
    }];
    readonly name: "isTokenAllowed";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "bool";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly name: "_vmc";
        readonly type: "address";
    }];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "constructor";
}, {
    readonly payable: true;
    readonly stateMutability: "payable";
    readonly type: "fallback";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: false;
        readonly name: "from";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "amount";
        readonly type: "uint256";
    }];
    readonly name: "ETHReceived";
    readonly type: "event";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: false;
        readonly name: "operator";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "from";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "tokenId";
        readonly type: "uint256";
    }, {
        readonly indexed: false;
        readonly name: "contractAddress";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "data";
        readonly type: "bytes";
    }];
    readonly name: "ERC721Received";
    readonly type: "event";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: false;
        readonly name: "operator";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "from";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "tokenId";
        readonly type: "uint256";
    }, {
        readonly indexed: false;
        readonly name: "amount";
        readonly type: "uint256";
    }, {
        readonly indexed: false;
        readonly name: "contractAddress";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "data";
        readonly type: "bytes";
    }];
    readonly name: "ERC721XReceived";
    readonly type: "event";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: false;
        readonly name: "operator";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "to";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "tokenTypes";
        readonly type: "uint256[]";
    }, {
        readonly indexed: false;
        readonly name: "amounts";
        readonly type: "uint256[]";
    }, {
        readonly indexed: false;
        readonly name: "contractAddress";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "data";
        readonly type: "bytes";
    }];
    readonly name: "ERC721XBatchReceived";
    readonly type: "event";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: true;
        readonly name: "owner";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "kind";
        readonly type: "uint8";
    }, {
        readonly indexed: false;
        readonly name: "contractAddress";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "value";
        readonly type: "uint256";
    }];
    readonly name: "TokenWithdrawn";
    readonly type: "event";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: true;
        readonly name: "from";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "amount";
        readonly type: "uint256";
    }, {
        readonly indexed: false;
        readonly name: "loomCoinAddress";
        readonly type: "address";
    }];
    readonly name: "LoomCoinReceived";
    readonly type: "event";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: false;
        readonly name: "from";
        readonly type: "address";
    }, {
        readonly indexed: false;
        readonly name: "amount";
        readonly type: "uint256";
    }, {
        readonly indexed: false;
        readonly name: "contractAddress";
        readonly type: "address";
    }];
    readonly name: "ERC20Received";
    readonly type: "event";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "tokenId";
        readonly type: "uint256";
    }, {
        readonly name: "amount";
        readonly type: "uint256";
    }, {
        readonly name: "contractAddress";
        readonly type: "address";
    }, {
        readonly name: "_signersIndexes";
        readonly type: "uint256[]";
    }, {
        readonly name: "_v";
        readonly type: "uint8[]";
    }, {
        readonly name: "_r";
        readonly type: "bytes32[]";
    }, {
        readonly name: "_s";
        readonly type: "bytes32[]";
    }];
    readonly name: "withdrawERC721X";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "uid";
        readonly type: "uint256";
    }, {
        readonly name: "contractAddress";
        readonly type: "address";
    }, {
        readonly name: "_signersIndexes";
        readonly type: "uint256[]";
    }, {
        readonly name: "_v";
        readonly type: "uint8[]";
    }, {
        readonly name: "_r";
        readonly type: "bytes32[]";
    }, {
        readonly name: "_s";
        readonly type: "bytes32[]";
    }];
    readonly name: "withdrawERC721";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "amount";
        readonly type: "uint256";
    }, {
        readonly name: "_signersIndexes";
        readonly type: "uint256[]";
    }, {
        readonly name: "_v";
        readonly type: "uint8[]";
    }, {
        readonly name: "_r";
        readonly type: "bytes32[]";
    }, {
        readonly name: "_s";
        readonly type: "bytes32[]";
    }];
    readonly name: "withdrawETH";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "_operator";
        readonly type: "address";
    }, {
        readonly name: "_from";
        readonly type: "address";
    }, {
        readonly name: "_tokenId";
        readonly type: "uint256";
    }, {
        readonly name: "_amount";
        readonly type: "uint256";
    }, {
        readonly name: "_data";
        readonly type: "bytes";
    }];
    readonly name: "onERC721XReceived";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "bytes4";
    }];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "_operator";
        readonly type: "address";
    }, {
        readonly name: "_from";
        readonly type: "address";
    }, {
        readonly name: "_types";
        readonly type: "uint256[]";
    }, {
        readonly name: "_amounts";
        readonly type: "uint256[]";
    }, {
        readonly name: "_data";
        readonly type: "bytes";
    }];
    readonly name: "onERC721XBatchReceived";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "bytes4";
    }];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "_operator";
        readonly type: "address";
    }, {
        readonly name: "_from";
        readonly type: "address";
    }, {
        readonly name: "_uid";
        readonly type: "uint256";
    }, {
        readonly name: "_data";
        readonly type: "bytes";
    }];
    readonly name: "onERC721Received";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "bytes4";
    }];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "getETH";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [{
        readonly name: "uid";
        readonly type: "uint256";
    }, {
        readonly name: "contractAddress";
        readonly type: "address";
    }];
    readonly name: "getERC721";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "bool";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [{
        readonly name: "tokenId";
        readonly type: "uint256";
    }, {
        readonly name: "contractAddress";
        readonly type: "address";
    }];
    readonly name: "getERC721X";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}];
