import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { ValidatorManagerV2, ValidatorManagerV2Interface } from "../ValidatorManagerV2";
export declare class ValidatorManagerV2__factory {
    static readonly abi: readonly [{
        readonly constant: true;
        readonly inputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly name: "validators";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "loomAddress";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly name: "powers";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint64";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "threshold_denom";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint8";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "nonce";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "threshold_num";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint8";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "totalPower";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly name: "_validators";
            readonly type: "address[]";
        }, {
            readonly name: "_powers";
            readonly type: "uint64[]";
        }, {
            readonly name: "_threshold_num";
            readonly type: "uint8";
        }, {
            readonly name: "_threshold_denom";
            readonly type: "uint8";
        }, {
            readonly name: "_loomAddress";
            readonly type: "address";
        }];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "constructor";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly name: "_validators";
            readonly type: "address[]";
        }, {
            readonly indexed: false;
            readonly name: "_powers";
            readonly type: "uint64[]";
        }];
        readonly name: "ValidatorSetChanged";
        readonly type: "event";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "getPowers";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "uint64[]";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [];
        readonly name: "getValidators";
        readonly outputs: readonly [{
            readonly name: "";
            readonly type: "address[]";
        }];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "_loomAddress";
            readonly type: "address";
        }, {
            readonly name: "_signersIndexes";
            readonly type: "uint256[]";
        }, {
            readonly name: "_v";
            readonly type: "uint8[]";
        }, {
            readonly name: "_r";
            readonly type: "bytes32[]";
        }, {
            readonly name: "_s";
            readonly type: "bytes32[]";
        }];
        readonly name: "setLoom";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "_num";
            readonly type: "uint8";
        }, {
            readonly name: "_denom";
            readonly type: "uint8";
        }, {
            readonly name: "_signersIndexes";
            readonly type: "uint256[]";
        }, {
            readonly name: "_v";
            readonly type: "uint8[]";
        }, {
            readonly name: "_r";
            readonly type: "bytes32[]";
        }, {
            readonly name: "_s";
            readonly type: "bytes32[]";
        }];
        readonly name: "setQuorum";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: false;
        readonly inputs: readonly [{
            readonly name: "_newValidators";
            readonly type: "address[]";
        }, {
            readonly name: "_newPowers";
            readonly type: "uint64[]";
        }, {
            readonly name: "_signersIndexes";
            readonly type: "uint256[]";
        }, {
            readonly name: "_v";
            readonly type: "uint8[]";
        }, {
            readonly name: "_r";
            readonly type: "bytes32[]";
        }, {
            readonly name: "_s";
            readonly type: "bytes32[]";
        }];
        readonly name: "rotateValidators";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [{
            readonly name: "_message";
            readonly type: "bytes32";
        }, {
            readonly name: "_signersIndex";
            readonly type: "uint256";
        }, {
            readonly name: "_v";
            readonly type: "uint8";
        }, {
            readonly name: "_r";
            readonly type: "bytes32";
        }, {
            readonly name: "_s";
            readonly type: "bytes32";
        }];
        readonly name: "signedByValidator";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly constant: true;
        readonly inputs: readonly [{
            readonly name: "_message";
            readonly type: "bytes32";
        }, {
            readonly name: "_signersIndexes";
            readonly type: "uint256[]";
        }, {
            readonly name: "_v";
            readonly type: "uint8[]";
        }, {
            readonly name: "_r";
            readonly type: "bytes32[]";
        }, {
            readonly name: "_s";
            readonly type: "bytes32[]";
        }];
        readonly name: "checkThreshold";
        readonly outputs: readonly [];
        readonly payable: false;
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): ValidatorManagerV2Interface;
    static connect(address: string, signerOrProvider: Signer | Provider): ValidatorManagerV2;
}
export declare const abi: readonly [{
    readonly constant: true;
    readonly inputs: readonly [{
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly name: "validators";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "address";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "loomAddress";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "address";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [{
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly name: "powers";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "uint64";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "threshold_denom";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "uint8";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "nonce";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "threshold_num";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "uint8";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "totalPower";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly name: "_validators";
        readonly type: "address[]";
    }, {
        readonly name: "_powers";
        readonly type: "uint64[]";
    }, {
        readonly name: "_threshold_num";
        readonly type: "uint8";
    }, {
        readonly name: "_threshold_denom";
        readonly type: "uint8";
    }, {
        readonly name: "_loomAddress";
        readonly type: "address";
    }];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "constructor";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: false;
        readonly name: "_validators";
        readonly type: "address[]";
    }, {
        readonly indexed: false;
        readonly name: "_powers";
        readonly type: "uint64[]";
    }];
    readonly name: "ValidatorSetChanged";
    readonly type: "event";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "getPowers";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "uint64[]";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [];
    readonly name: "getValidators";
    readonly outputs: readonly [{
        readonly name: "";
        readonly type: "address[]";
    }];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "_loomAddress";
        readonly type: "address";
    }, {
        readonly name: "_signersIndexes";
        readonly type: "uint256[]";
    }, {
        readonly name: "_v";
        readonly type: "uint8[]";
    }, {
        readonly name: "_r";
        readonly type: "bytes32[]";
    }, {
        readonly name: "_s";
        readonly type: "bytes32[]";
    }];
    readonly name: "setLoom";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "_num";
        readonly type: "uint8";
    }, {
        readonly name: "_denom";
        readonly type: "uint8";
    }, {
        readonly name: "_signersIndexes";
        readonly type: "uint256[]";
    }, {
        readonly name: "_v";
        readonly type: "uint8[]";
    }, {
        readonly name: "_r";
        readonly type: "bytes32[]";
    }, {
        readonly name: "_s";
        readonly type: "bytes32[]";
    }];
    readonly name: "setQuorum";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: false;
    readonly inputs: readonly [{
        readonly name: "_newValidators";
        readonly type: "address[]";
    }, {
        readonly name: "_newPowers";
        readonly type: "uint64[]";
    }, {
        readonly name: "_signersIndexes";
        readonly type: "uint256[]";
    }, {
        readonly name: "_v";
        readonly type: "uint8[]";
    }, {
        readonly name: "_r";
        readonly type: "bytes32[]";
    }, {
        readonly name: "_s";
        readonly type: "bytes32[]";
    }];
    readonly name: "rotateValidators";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [{
        readonly name: "_message";
        readonly type: "bytes32";
    }, {
        readonly name: "_signersIndex";
        readonly type: "uint256";
    }, {
        readonly name: "_v";
        readonly type: "uint8";
    }, {
        readonly name: "_r";
        readonly type: "bytes32";
    }, {
        readonly name: "_s";
        readonly type: "bytes32";
    }];
    readonly name: "signedByValidator";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly constant: true;
    readonly inputs: readonly [{
        readonly name: "_message";
        readonly type: "bytes32";
    }, {
        readonly name: "_signersIndexes";
        readonly type: "uint256[]";
    }, {
        readonly name: "_v";
        readonly type: "uint8[]";
    }, {
        readonly name: "_r";
        readonly type: "bytes32[]";
    }, {
        readonly name: "_s";
        readonly type: "bytes32[]";
    }];
    readonly name: "checkThreshold";
    readonly outputs: readonly [];
    readonly payable: false;
    readonly stateMutability: "view";
    readonly type: "function";
}];
